org.apache.ignite.internal.processors.cache.extras

## Class GridCacheMvccObsoleteEntryExtras<K>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter<K>
  - - org.apache.ignite.internal.processors.cache.extras.GridCacheMvccObsoleteEntryExtras<K>

All Implemented Interfaces:
  GridCacheEntryExtras<K>

    public class GridCacheMvccObsoleteEntryExtras<K>
    extends GridCacheEntryExtrasAdapter<K>

Extras where MVCC and obsolete version are set.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheMvccObsoleteEntryExtras(GridCacheMvcc<K> mvcc, GridCacheVersion obsoleteVer)` Constructor.

### Method Summary

Methods
`GridCacheEntryExtras<K>` `attributesData(GridLeanMap<String,Object> attrData)`
`GridCacheMvcc<K>` `mvcc()`
`GridCacheEntryExtras<K>` `mvcc(GridCacheMvcc<K> mvcc)`
`GridCacheVersion` `obsoleteVersion()`
`GridCacheEntryExtras<K>` `obsoleteVersion(GridCacheVersion obsoleteVer)`
`int` `size()`
`String` `toString()`
`GridCacheEntryExtras<K>` `ttlAndExpireTime(long ttl, long expireTime)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter

`attributesData, expireTime, ttl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheMvccObsoleteEntryExtras

    public GridCacheMvccObsoleteEntryExtras(GridCacheMvcc<K> mvcc,
                                    GridCacheVersion obsoleteVer)

Constructor.

Parameters:
  `mvcc` - MVCC.
  `obsoleteVer` - Obsolete version.

### Method Detail

#### attributesData

    public GridCacheEntryExtras<K> attributesData(GridLeanMap<String,Object> attrData)

Parameters:
  `attrData` - Attributes data.
Returns:
  Updated extras.

#### mvcc

    public GridCacheMvcc<K> mvcc()

Specified by:
  `mvcc` in interface `GridCacheEntryExtras<K>`
Overrides:
  `mvcc` in class `GridCacheEntryExtrasAdapter<K>`
Returns:
  MVCC.

#### mvcc

    public GridCacheEntryExtras<K> mvcc(GridCacheMvcc<K> mvcc)

Parameters:
  `mvcc` - NVCC.
Returns:
  Updated extras.

#### obsoleteVersion

    public GridCacheVersion obsoleteVersion()

Specified by:
  `obsoleteVersion` in interface `GridCacheEntryExtras<K>`
Overrides:
  `obsoleteVersion` in class `GridCacheEntryExtrasAdapter<K>`
Returns:
  Obsolete version.

#### obsoleteVersion

    public GridCacheEntryExtras<K> obsoleteVersion(GridCacheVersion obsoleteVer)

Parameters:
  `obsoleteVer` - Obsolete version.
Returns:
  Updated extras.

#### ttlAndExpireTime

    public GridCacheEntryExtras<K> ttlAndExpireTime(long ttl,
                                           long expireTime)

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.
Returns:
  Updated extras.

#### size

    public int size()

Returns:
  Extras size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015